<?php include_once('header.php'); ?>

<fieldset>
	<legend>Info</legend>
	<?php
	if(!empty($result))
	{		
		//Strankovanie
		if(!empty($itemsPerPage))
		{
			if(($do - $itemsPerPage) > 0)
					echo '<a href="'.base_url().'search/'.$this->uri->segment(2).'/">zacatek</a>&nbsp;';	
			for($i=$start;$i<$do;$i++)
			{
				if($i == 0)echo '<a href="'.base_url().'search/'.$this->uri->segment(2).'/">';
				else echo '<a href="'.base_url().'search/'.$this->uri->segment(2).'/'.$i.'">';
				if($aktPage == $i)echo '<b>['.($i+1).']</b></a>&nbsp;';
				else echo ($i+1).'</a>&nbsp;';
			}
			if(($start + $itemsPerPage) < $pocetStranok)
				echo '<a href="'.base_url().'search/'.$this->uri->segment(2).'/'.($pocetStranok-1).'">konec</a>&nbsp;';
		}
	}	
	?>
</fieldset>
<?php 

if(!empty($result) and count($result)>0)
{
	echo '<ul class="vypis">';
	foreach($result as $k => $row)
	{
		echo '<li class="hov"><h2><a href="'.base_url().'firma/'.$row->uri.'/">'.$row->nazev.'</a></h2>';
		if(strlen($row->popis) > 0)echo substr(str_replace('|', ',', $row->popis), 0, 200).'...';
		echo '</li>';
	}
	echo '</ul>';
	echo '<p>';
	//Strankovanie
	if(!empty($itemsPerPage))
	{
		if(($do - $itemsPerPage) > 0)
				echo '<a href="'.base_url().'search/'.$this->uri->segment(2).'/">zacatek</a>&nbsp;';	
		for($i=$start;$i<$do;$i++)
		{
			if($i == 0)echo '<a href="'.base_url().'search/'.$this->uri->segment(2).'/">';
			else echo '<a href="'.base_url().'search/'.$this->uri->segment(2).'/'.$i.'">';
			if($aktPage == $i)echo '<b>['.($i+1).']</b></a>&nbsp;';
			else echo ($i+1).'</a>&nbsp;';
		}
		if(($start + $itemsPerPage) < $pocetStranok)
			echo '<a href="'.base_url().'search/'.$this->uri->segment(2).'/'.($pocetStranok-1).'">konec</a>&nbsp;';
	}
	echo '</p>';
}

?>

<?php include_once('footer.php'); ?>
